import { styled } from "styled-components";
import "./styles/PsychTestHeader.css";

const Header = styled.div`
    display: flex;
    padding-left: 40px;
    padding-top: 14px;
    align-items: center;
    margin-bottom: 55px;
    
    & h1 {
        font-size: 20pt;
    }
    & button {
        color: #bababa;
        font-size: 15px;
        width: 180px;
        height: 36px;
        background-color: white;
        border: 1px solid #cccccc;
        border-radius: 12px;
        margin-right: 13px;
    }
`;

const PsychTestHeader = () => {
    return (
        <Header>
            <button type="button" onClick={window.history.back()}>
                Вернуться назад
            </button>
            <h1>Тест на совместимость</h1>
        </Header>
    );
};

export default PsychTestHeader;
