"""pairent_backend URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.template import loader
from django.contrib import admin
from django.urls import path, include
from django.http import HttpResponse

def root_url(req):
    return HttpResponse(loader.get_template('index.html').render())

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include('pairent_app.urls')),
    path('', root_url)
]
